Subject: bug#30331: Neither Emacs nor Vim nor Nano handle ligature literal insertion well

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Feb 2018 10:45:12 +0200

> From: Andrew Pennebaker <[email-masked]>
> Date: Fri, 2 Feb 2018 16:31:05 -0600
> 
> I would really like convenient access to ligatures in my word processing software. Unfortunately, none of the
> major text editing applications appears to handle ligatures intelligently: Each of Emacs, Vim, Nano, MS Word,
> Google Drive, Libre Office, and InDesign type a dumb "ae" when the user presses the a and e keyboard keys,
> whereas historically this sequence is typically rendered with the ash æ rune.

I don't see how any text-based application could do that
automatically, since there are many cases where "ae" needs to be left
as literal 2 characters.  Just a few random examples:

  maestro
  Rafael
  (Joan) Baez

I think the right thing would be to have a special key sequence for
inserting ligatures, since the need for that is somewhat rare,
certainly more rare than the need to insert the characters literally.